System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.Component System.ComponentModel.ISupportInitialize System.IO.IODescription("") System.ComponentModel.DefaultEvent("Changed") Monitors File System's changes in directories, files and files inside directories.

Mono's implementation of the FileSystemWatcher has multiple backends. This is necessary because not all operating systems supported by Mono have all the features necessary to provide the functionality expected by applications.

If the operating system kernel supports watching directories (inotify on Linux, KEvents on BSD or OSX) that feature is used; Otherwise it falls back to using the Gamin or FAM libraries (these libraries provide an API to monitor directories) and if none of those features are available, Mono will poll every 750 milliseconds the directories watched.

You can force the polling behavior (instead of using the kernel support) by setting the MONO_MANAGED_WATCHER environment variable before executing your application. This might be useful for filesystems that do not support inotify and still require polling to detect changes.

- Constructor

  Constructs a new instance of the class.

  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  The directory to monitor.

  Constructs a new instance of the class using path as default directoty to monitor.

  To be added
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added: an object of type 'string'
  A glob pattern specification for file changes to monitor.

  Constructs a new instance of the class using path as default directoty to monitor and filter to determine the files to monitor.

  Use this constructor if you want to limit the notifications to only the files that match the glob pattern specified. This is the same pattern that you could use in a call to .
  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.IO.FileSystemEventHandler To be added To be added 1.0.5000.0 2.0.0.0 System.IO.IODescription("Occurs when a file/directory change matches the filter")
- Event
  System.IO.FileSystemEventHandler To be added To be added 1.0.5000.0 2.0.0.0 System.IO.IODescription("Occurs when a file/directory creation matches the filter")
- Event
  System.IO.FileSystemEventHandler To be added To be added 1.0.5000.0 2.0.0.0 System.IO.IODescription("Occurs when a file/directory deletion matches the filter")
- Method
  System.Void `` Whether this is being called from an IDisposable.Dispose methods. Releases the resources for the watcher. This will release the resources associated with the watcher and will stop watching for changes. No more events will be generated. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.IO.IODescription("Flag to indicate if this instance is active") System.ComponentModel.DefaultValue(false)
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Event
  System.IO.ErrorEventHandler To be added To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.TypeConverter("System.Diagnostics.Design.StringValueConverter, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.RecommendedAsConfigurable(true) System.IO.IODescription("File name filter pattern") System.ComponentModel.DefaultValue("*.*")
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Property
  System.Boolean To be added To be added: an object of type 'bool' To be added 1.0.5000.0 2.0.0.0 System.IO.IODescription("Flag to indicate we want to watch subdirectories") System.ComponentModel.DefaultValue(false)
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.DefaultValue(8192) System.ComponentModel.Browsable(false)
- Property
  System.IO.NotifyFilters To be added To be added: an object of type 'NotifyFilters' To be added 1.0.5000.0 2.0.0.0 System.IO.IODescription("Flag to indicate which change event we want to monitor") System.ComponentModel.DefaultValue(System.IO.NotifyFilters.FileName | System.IO.NotifyFilters.DirectoryName | System.IO.NotifyFilters.LastWrite)
- Method
  System.Void `` The event to raise. Raises the Changed event. This raises the event. The event is raised using the threadpool. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'FileSystemEventArgs' Raises the Created event. This raises the event. The event is raised using the threadpool. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'FileSystemEventArgs' Raises the Deleted event. This raises the event. The event is raised using the threadpool. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'ErrorEventArgs' Raise the Error event. This raises the event. The event is raised using the threadpool. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added: an object of type 'RenamedEventArgs' Raises the Renamed event. This raises the event. The event is raised using the threadpool. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Editor("System.Diagnostics.Design.FSWPathEditor, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.Drawing.Design.UITypeEditor, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.TypeConverter("System.Diagnostics.Design.StringValueConverter, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.ComponentModel.RecommendedAsConfigurable(true) System.IO.IODescription("The directory to monitor") System.ComponentModel.DefaultValue("")
- Event
  System.IO.RenamedEventHandler To be added To be added 1.0.5000.0 2.0.0.0 System.IO.IODescription("Occurs when a file/directory rename matches the filter")
- Property
  System.ComponentModel.ISite To be added To be added: an object of type 'ComponentModel.ISite' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false)
- Property
  System.ComponentModel.ISynchronizeInvoke To be added To be added: an object of type 'ComponentModel.ISynchronizeInvoke' To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Browsable(false) System.IO.IODescription("The object used to marshal the event handler calls resulting from a directory change") System.ComponentModel.DefaultValue(null)
- Method
  System.IO.WaitForChangedResult `` To be added: an object of type 'WatcherChangeTypes' To be added To be added: an object of type 'WaitForChangedResult' To be added 1.0.5000.0 2.0.0.0
- Method
  System.IO.WaitForChangedResult `` `` To be added: an object of type 'WatcherChangeTypes' To be added: an object of type 'int' To be added To be added: an object of type 'WaitForChangedResult' To be added 1.0.5000.0 2.0.0.0